<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>urls.py</title>
  <link rel="stylesheet" href="../pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>urls.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">django.urls</span> <span class="kn">import</span> <span class="n">path</span>
<span class="kn">from</span> <span class="nn">.views</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">from</span> <span class="nn">Proyecto</span> <span class="kn">import</span> <span class="n">views</span>

<span class="n">app_name</span> <span class="o">=</span> <span class="s1">&#39;Proyecto&#39;</span>
<span class="n">urlpatterns</span> <span class="o">=</span> <span class="p">[</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">index</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;index&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;crear/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formCrearProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;crearProyecto&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;crearRol/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formCrearRolProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;crearRolProyecto&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;editarRol/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formEditarRolProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;editarRolProyecto&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;verRol/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formVerRolProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;verRolProyecto&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;importar/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">listarProyectosRol</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;listarProyectosRol&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;importar/&lt;int:id&gt;/&lt;int:id_proyecto&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">importarRolesProyectos</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;importarRolesProyectos&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;editar/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">editProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;editarProyecto&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;eliminar/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">deleteProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;eliminarProyecto&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;guardarUs/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">FormularioNewUs</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;guardarUs&quot;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;usuarios/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">listaDeUsuarios</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;listaDeUsuarios&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      <p>paths para cambiar el diseño de las pestañas para la vista de un proyecto</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/UsProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">UsProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;UsProyecto&quot;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/DetallesProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">DetallesProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;DetallesProyecto&quot;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/MiembrosProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">MiembrosProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;MiembrosProyecto&quot;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/RolesProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">RolesProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;RolesProyecto&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      <p>muestra el productBacklog de un proyecto</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/ListarUsSprintBacklog/&lt;int:id&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">ListarUsSprintBacklog</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;ListarUsSprintBacklog&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-3'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-3'>#</a>
      </div>
      <p>Agrega US como Sprint Planning</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/agregarSprintBacklog/&lt;int:id&gt;/&lt;int:idSprint&gt;/&lt;int:idUs&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">agregarSprintBacklog</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;agregarSprintBacklog&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-4'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-4'>#</a>
      </div>
      <p>Para creacion de un nuevo sprint</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/Crear/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">CrearSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;CrearSprint&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-5'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-5'>#</a>
      </div>
      <p>listar sprint</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">ListarSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;ListarSprint&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-6'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-6'>#</a>
      </div>
      <p>ruta para verificar las cosas, previo a comenzar el sprint</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/VerificarSprint/&lt;int:id&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">VerificarSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;VerificarSprint&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-7'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-7'>#</a>
      </div>
      <p>Url para agregar miembro a un proyecto (muestra solo los miembros que aun no estan en el proyecto)</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;agregarMiembro/&lt;int:id&gt;/&lt;int:socialUserId&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formCrearMiembro</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;agregarMiembros&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-8'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-8'>#</a>
      </div>
      <p>Se muestran los datos del miembro del proyecto (rol y disponibilidad horaria)</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;verMiembro/&lt;int:id&gt;/&lt;int:miembroId&gt;/&lt;int:userAccId&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formVerMiembro</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;verMiembros&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-9'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-9'>#</a>
      </div>
      <p>Se muestran los campos editables de un miembro en un proyecto (rol y disponibilidad horaria)</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;editarMiembro/&lt;int:id&gt;/&lt;int:miembroId&gt;/&lt;int:userAccId&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">formEditarMiembro</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;editarMiembros&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-10'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-10'>#</a>
      </div>
      <p>Boton para eliminar un miembro de un proyecto (rol y disponibilidad horaria)</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;eliminarMiembro/&lt;int:idProyecto&gt;/&lt;int:miembroId&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">eliminarMiembroProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;eliminarMiembros&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-11'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-11'>#</a>
      </div>
      <p>Boton para reemplazar un miembro de un proyecto</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;reemplazarMiembro/&lt;int:idProyecto&gt;/&lt;int:miembroViejoId&gt;/&lt;int:idPP&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">reemplazarMiembroProyecto</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;reemplazarMiembro&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-12'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-12'>#</a>
      </div>
      <p>Boton para reemplazar un miembro de un proyecto sin eliminarlo, solo reemplazarlo en una US</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;reemplazarMiembroEnUS/&lt;int:idProyecto&gt;/&lt;int:idUS&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">reemplazarMiembroEnUSProyecto</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;reemplazarMiembroEnUS&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-13'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-13'>#</a>
      </div>
      <p>Se reemplaza al US</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;cambioDeMiembroAlReemplazarEnUs/&lt;int:idProyecto&gt;/&lt;int:userNuevoId&gt;/&lt;int:idPP&gt;&#39;</span><span class="p">,</span>
         <span class="n">views</span><span class="o">.</span><span class="n">cambioDeMiembroAlReemplazarEnUs</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;cambioDeMiembroAlReemplazarEnUs&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-14'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-14'>#</a>
      </div>
      <p>Al mostrarse las historias de usuario, se deben reemplazar por otro usuario activo del proyecto, esto posibles ususarios son mostrados con esta url</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;cambioDeMiembroAlEliminar/&lt;int:idProyecto&gt;/&lt;int:miembroViejoId&gt;/&lt;int:userNuevoId&gt;/&lt;int:idPP&gt;&#39;</span><span class="p">,</span>
         <span class="n">views</span><span class="o">.</span><span class="n">cambioDeMiembroAlEliminar</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;cambioDeMiembroAlEliminar&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-15'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-15'>#</a>
      </div>
      <p>La ruta &lsquo;detalles&rsquo; en donde mostraremos una página con los detalles de un us o registro
aqui se pasan por url el parametro que es el id que se requiere para recuperar un reigstro</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/detalle/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">UsDetalle</span><span class="o">.</span><span class="n">mostrarDetalle</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;detalle&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-16'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-16'>#</a>
      </div>
      <p>La ruta &lsquo;actualizar&rsquo; en donde mostraremos un formulario para actualizar un  registro de la Base de Datos
aqui se pasan por url el parametro que es el id que se requiere para recuperar un registro</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/actualizar/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">UsActualizar</span><span class="o">.</span><span class="n">editar</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;actualizar&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-17'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-17'>#</a>
      </div>
      <p>para listar el SPrintBacklog de un sprint en planificacion</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/SprintBacklog/&lt;int:id&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">ListarSprintBacklog</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;ListarSprintBacklog&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-18'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-18'>#</a>
      </div>
      <p>para editar una planning poker</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/SprintBacklog/EditarPP/&lt;int:id&gt;/&lt;int:idSprint&gt;/&lt;int:idPP&gt;/&lt;int:idUs&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">EditarPP</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;EditarPlanningPoker&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-19'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-19'>#</a>
      </div>
      <p>para quitar un US de un sprintbacklog</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/SprintProyecto/SprintBacklog/&lt;int:id&gt;/&lt;int:idSprint&gt;/&lt;int:idPP&gt;/&lt;int:idUs&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">QuitarSprintBacklog</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s2">&quot;QuitarSprintBacklog&quot;</span><span class="p">),</span>

    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;kanban/&lt;int:id&gt;/&lt;int:volver&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">indexKanban</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;verKanban&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-20'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-20'>#</a>
      </div>
      <p>path de PRUEBA</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;miembroprueba/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">obtenerMiembro</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-21'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-21'>#</a>
      </div>
      <p>path cuando se desea agregar actividad</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;kanban/agregarActividad/&lt;int:id&gt;/&lt;int:idSprint&gt;/&lt;int:idUs&gt;/&lt;int:volver&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">agregarActividad</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s1">&#39;agregarActividad&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-22'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-22'>#</a>
      </div>
      <p>path para cuando se desea ver el historial de modificaciones</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;kanban/historialMod/&lt;int:idUs&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">historialMod</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;historialMod&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-23'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-23'>#</a>
      </div>
      <p>path para cuando se desea ver el historial</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;kanban/historialUs/&lt;int:id&gt;/&lt;int:idUs&gt;/&lt;int:volver&gt;/&lt;int:kanbanvolver&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">historialUs</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s1">&#39;historialUs&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-24'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-24'>#</a>
      </div>
      <p>Retorna un json con los datos necesarios para el chart</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;burndownchartjson/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">burndownChart</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;burndownChartjson&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-25'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-25'>#</a>
      </div>
      <p>Despliega el burndown del sprint correspondiente</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;burndownchart/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">burndownChartIndex</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;burndownChart&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-26'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-26'>#</a>
      </div>
      <p>Confirmacion de Finalizar un proyecto</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/confirmarFinalizarProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">confirmarFinalizarProyecto</span><span class="p">,</span>
         <span class="n">name</span><span class="o">=</span><span class="s1">&#39;confirmarFinalizarProyecto&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-27'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-27'>#</a>
      </div>
      <p>Finalizar un proyecto, por el ID</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/finalizarProyecto/&lt;int:id&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">finalizarProyecto</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;finalizarProyecto&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-28'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-28'>#</a>
      </div>
      <p>path para desplegar el resumen cuando se termina un sprint</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/resumenFinSprint/&lt;int:id&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">resumenFinSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;resumenFinSprint&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-29'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-29'>#</a>
      </div>
      <p>path para terminar el sprint y hacer algunos ajustes en los datos</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;ver/resumen/&lt;int:id&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">resumenFinSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;resumenFinSprint&#39;</span><span class="p">),</span>
    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;SprintProyecto/&lt;int:id&gt;/&lt;int:idSprint&gt;&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">finSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;finSprint&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-30'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-30'>#</a>
      </div>
      <p>path para editar una actividad</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span>
        <span class="s1">&#39;kanban/historialUs/editar/&lt;int:id&gt;/&lt;int:idSprint&gt;/&lt;int:idUs&gt;/&lt;int:volver&gt;/&lt;int:idActividad&gt;/&lt;int:volverkanban&gt;&#39;</span><span class="p">,</span>
        <span class="n">views</span><span class="o">.</span><span class="n">editarActividadUs</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;editarActividadUs&#39;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-31'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-31'>#</a>
      </div>
      <p>path para los pdf
para listar el Sprint Backlog de un sprint en planificacion</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;listUserStoryPdf/&lt;int:idSprint&gt;/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">listUserStoryPdf</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;listUserStoryPdf&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-32'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-32'>#</a>
      </div>
      <p>para listar el Product Backlog de un proyecto</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;listProductBacklogPdf/&lt;int:idProyecto&gt;/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">listProductBacklogPdf</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;listProductBacklogPdf&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-33'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-33'>#</a>
      </div>
      <p>para listar los US del sprint actual de un proyecto</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;listUsSprintActualPdf/&lt;int:idProyecto&gt;/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">listUsSprintActualPdf</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;listUsSprintActualPdf&quot;</span><span class="p">),</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-34'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-34'>#</a>
      </div>
      <p>para ver los miembros de un sprint</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">path</span><span class="p">(</span><span class="s1">&#39;miembroSprint/&lt;int:idSprint&gt;/&#39;</span><span class="p">,</span> <span class="n">views</span><span class="o">.</span><span class="n">miembroEnSprint</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s2">&quot;miembrosSprint&quot;</span><span class="p">),</span>

<span class="p">]</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
